#NoTrayIcon
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=..\Includes\EliteIcon.ico
#AutoIt3Wrapper_Outfile=ED_Speak.exe
#AutoIt3Wrapper_Res_Description=ED:RunnerSpeak
#AutoIt3Wrapper_Res_Fileversion=1.0.0.0
#AutoIt3Wrapper_Res_ProductVersion=1.0.0
#AutoIt3Wrapper_Res_LegalCopyright=Turranius (c) 2016-2018
#AutoIt3Wrapper_Run_Au3Stripper=y
#Au3Stripper_Parameters=/mo
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

#include <TTS.au3>

Global $Text

If $CmdLine[0] = 0 or $CmdLine[0] = 1 Then
	MsgBox(16, "Nothing to say..", "No text provided. Commandline: <Rate> <What to say>", 5)
	Exit
EndIf
Local $Rate = $CmdLine[1]
If $CmdLine[0] = 2 Then
	Local $Text = $CmdLine[2]
Else
	For $i = 2 to $CmdLine[0]
		;ConsoleWrite($CmdLine[$i] & @CRLF)
		If $Text = "" Then
			$Text = $CmdLine[$i]
		Else
			$Text = $Text & " " & $CmdLine[$i]
		EndIf
	Next
EndIf

; Set up Speech
ConsoleWrite("Setting up voice..." & @CRLF)
$Default = _StartTTS()
If Not IsObj($Default) Then
	MsgBox(16, "Error", "No voice installed? Deactivating.", 10)
	Exit
EndIf
_SetRate($Default, $Rate)
ConsoleWrite("Voice setup complete." & @CRLF)

_Speak($Default, $Text)
;ConsoleWrite("Voice: " & Chr(34) & $Output & Chr(34) & " to " & $CurrentlyActive & @CRLF)

Exit
